ru.bitel.bgbilling.common.bean

## Class BGAbstractTransaction

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.common.bean.BGAbstractTransaction

- All Implemented Interfaces:
    java.io.Serializable, Idable
  Direct Known Subclasses:
    Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction, Transaction

      public class BGAbstractTransaction
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BGAbstractTransaction()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `java.util.Date` | `getCreateDate()`
    `int` | `getPaymentId()`
    `java.lang.String` | `getStatus()`
    `java.math.BigDecimal` | `getSum()`
    `java.util.Date` | `getTransactionDate()`
    `java.lang.String` | `getTransactionId()`
    `boolean` | `isAutopayment()`
    `void` | `setAutopayment(boolean autopayment)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setCreateDate(java.util.Date createDate)`
    `void` | `setPaymentId(int paymentId)`
    `void` | `setStatus(java.lang.String status)`
    `void` | `setSum(java.math.BigDecimal sum)`
    `void` | `setTransactionDate(java.util.Date transactionDate)`
    `void` | `setTransactionId(java.lang.String transactionId)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BGAbstractTransaction

          public BGAbstractTransaction()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getPaymentId

          public int getPaymentId()

    - #### setPaymentId

          public void setPaymentId(int paymentId)

    - #### getCreateDate

          public java.util.Date getCreateDate()

    - #### setCreateDate

          public void setCreateDate(java.util.Date createDate)

    - #### getTransactionDate

          public java.util.Date getTransactionDate()

    - #### setTransactionDate

          public void setTransactionDate(java.util.Date transactionDate)

    - #### getTransactionId

          public java.lang.String getTransactionId()

    - #### setTransactionId

          public void setTransactionId(java.lang.String transactionId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getSum

          public java.math.BigDecimal getSum()

    - #### setSum

          public void setSum(java.math.BigDecimal sum)

    - #### getStatus

          public java.lang.String getStatus()

    - #### setStatus

          public void setStatus(java.lang.String status)

    - #### isAutopayment

          public boolean isAutopayment()

    - #### setAutopayment

          public void setAutopayment(boolean autopayment)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Id`